#!/bin/sh

# retrieve the name and the version of the image that was modified in the latest commit
# this script should become obsolete as soon as a proper way of getting the modified files is added to Gitlab CI

RES=""
for i in $(git log -m -1 --name-only --pretty="format:" --first-parent)
do
	case "$i" in
		*pica*) RES=$(echo $i | cut -d '/' -f1);;
	esac
done

if [[ "$RES" == "" ]]
then
	echo "No image modified"
	exit 1
fi

RES=$(cat $RES/docker-compose.yml | grep $RES | cut -d ':' -f2-)
if [[ "$RES" == "" ]]
then
	echo "No image modified"
	exit 1
else
	echo $RES
fi

